// DEMODlg.h : header file
//

#if !defined(AFX_DEMODLG_H__DB20D92D_7D9B_46E9_A256_EE4B53BC74C5__INCLUDED_)
#define AFX_DEMODLG_H__DB20D92D_7D9B_46E9_A256_EE4B53BC74C5__INCLUDED_

#include "adt8840.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


/////////////////////////////////////////////////////////////////////////////
// CDEMODlg dialog
#define MAINTIMER    1001                 //主程序定时器
#define TRACETIMER   1002                 //轨迹显示定时器
#define GCODETIMER   1003                 //运行当前G代码定时器
#define BLOCKTIMER   1004                 //运行当前G代码定时器             

#define DATA_SECTION 0x80000              //下载时数据块上限512K

class CDEMODlg : public CDialog
{
// Construction
public:
	int m_ndepth;
	int m_nSendLen;    //G文件下载时发送的长度
	int m_nDataStatus; //G文件下载时数据状态
	int m_nLineCount;  //G文件行数记数
	BOOL m_bOpenGfile; //G文件打开标识
	BOOL m_bDrawTrail;//轨迹显示
	void InitialDevice();
	CDEMODlg(CWnd* pParent = NULL);	// standard constructor
	CFont   pFont; 

// Dialog Data
	//{{AFX_DATA(CDEMODlg)
	enum { IDD = IDD_DEMO_DIALOG };
	CStatic	m_rtrail;
	CStatic	m_title;
	long	m_nAddA;
	long	m_nAddX;
	long	m_nAddY;
	long	m_nAddZ;
	BOOL	m_bA;
	BOOL	m_bX;
	BOOL	m_bY;
	BOOL	m_bZ;
	long	m_nPulseA;
	long	m_nPulseX;
	long	m_nPulseY;
	long	m_nPulseZ;
	long	m_nSpeedA;
	long	m_nSpeedX;
	long	m_nSpeedY;
	long	m_nSpeedZ;
	long	m_nStartvA;
	long	m_nStartvX;
	long	m_nStartvY;
	long	m_nStartvZ;
	int		m_nFSpdMode;
	BYTE	m_nstepX;
	BYTE	m_nstepY;
	BYTE	m_nstepZ;
	BYTE	m_nstepA;
	int		m_nPulseUnitA;
	int		m_nPulseUnitX;
	int		m_nPulseUnitY;
	int		m_nPulseUnitZ;
	BOOL	m_buff;
	BOOL	m_bUartShow;
	BOOL	m_PAUSE;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDEMODlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDEMODlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnButtonPmove();
	afx_msg void OnButtonInpmove();
	afx_msg void OnButtonStop();
	afx_msg void OnButtonIotest();
	afx_msg void OnButtonBasepara();
	afx_msg void OnButtonClearpos();
	afx_msg void OnClose();
	afx_msg void OnBtnIntialDev();
	afx_msg void OnButtonCmove();
	afx_msg void OnBtnGfileWork();
	afx_msg void OnBtnWorkstop();
	afx_msg void OnBtnLoadGfile();
	afx_msg void OnCheckUart();
	afx_msg void OnBtnSysparam();
	afx_msg void OnBtnRemove();
	afx_msg void OnButtonFifo();
	afx_msg void OnBtnOpenGfile();
	afx_msg void OnBtnHome();
	afx_msg void OnCheckBuffMode();
	afx_msg void OnFsSpeedmode0();
	afx_msg void OnFsSpeedmode1();
	afx_msg void OnBtnArc();
	afx_msg void OnBtnSingleGcode();
	afx_msg void OnBtnMultiGcode();
	afx_msg void OnButtonFreshen();
	afx_msg void OnButtonRunram();
	afx_msg void OnButtonDownload();
	afx_msg void OnCheckPauseresum();
	afx_msg void OnButtonCmove2();
	afx_msg void OnCloseConn();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEMODLG_H__DB20D92D_7D9B_46E9_A256_EE4B53BC74C5__INCLUDED_)
